image:
  pullPolicy: Always

controller:
  resources:
    limits:
      cpu: 250m

dashboard:
  replicaCount: 1

  deployment:
    podAnnotations:
      botkube.io/disable: "true"

  ingress:
    enabled: true

    ingressClassName: ${ingress_class}

    annotations:
      cert-manager.io/cluster-issuer: ${cluster_issuer}
      nginx.ingress.kubernetes.io/whitelist-source-range: ${management_cidr}
      nginx.ingress.kubernetes.io/auth-signin: "https://oauth2.${cluster_domain}/oauth2/start"
      nginx.ingress.kubernetes.io/auth-url: "http://oauth2-proxy.core-oidc.svc.cluster.local/oauth2/auth"
      nginx.ingress.kubernetes.io/configuration-snippet: |
        auth_request_set $user   $upstream_http_x_auth_request_user;
        auth_request_set $email  $upstream_http_x_auth_request_email;
        proxy_set_header X-User  $user;
        proxy_set_header X-Email $email;
        auth_request_set $token $upstream_http_authorization;
        proxy_set_header Authorization $token;

    hosts:
    - host: goldilocks.${cluster_domain}
      paths:
      - path: /
        type: Prefix

    tls:
    - secretName: goldilocks-tls
      hosts:
      - goldilocks.${cluster_domain}
